---
title: "Update Room in a Team"
slug: "update-room-in-a-team"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/update-room-in-a-team"
stale: true
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Update Room in a Team
Post/api/v1/teams.updateRoom
Updates a room from a team.
Permissions required: `edit-team-channel`, `view-all-team-channels`
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExample
```json
{
"roomId": "JKa7R9zu2DinBhBN9",
"isDefault": true
}
```
object roomIdstring Required
The room ID that you want to update.
isDefaultboolean Required
Sets the room as auto-join (true) or not (false).
Responses200
OK
Success
```json
{
"room": {
"_id": "JKa7R9zu2DinBhBN9",
"fname": "Livestream",
"customFields": {},
"description": "",
"broadcast": false,
"encrypted": false,
"federated": false,
"name": "Livestream",
"t": "c",
"msgs": 16,
"usersCount": 4,
"u": {
"_id": "rbAXPnMktTFbNpwtJ",
"username": "roxie"
},
"ts": "2023-02-22T17:15:26.989Z",
"ro": false,
"default": false,
"sysMes": true,
"_updatedAt": "2023-09-29T06:00:18.859Z",
"lm": "2023-09-14T12:06:00.594Z",
"lastMessage": {
"_id": "rtf5JoPLQup3X7Aof",
"t": "videoconf",
"msg": "",
"groupable": false,
"blocks": [
{
"type": "video_conf",
"blockId": "6502f728a2f73c7460df6f71",
"callId": "6502f728a2f73c7460df6f71",
"appId": "videoconf-core"
}
],
"ts": "2023-09-14T12:06:00.594Z",
"u": {
"_id": "rbAXPnMktTFbNpwtJ",
"username": "test.test",
"name": "test test"
},
"rid": "JKa7R9zu2DinBhBN9",
"_updatedAt": "2023-09-14T12:06:00.685Z",
"urls": [],
"mentions": [],
"channels": []
},
"teamId": "63f3efc4b000b6b6d86704b2",
"teamDefault": true
},
"success": true
}
```
Expand Allobject roomobject _idstring
fnamestring
customFieldsobject
descriptionstring
broadcastboolean
encryptedboolean
federatedboolean
namestring
tstring
msgsinteger
usersCountinteger
uobject _idstring
usernamestring
tsstring
roboolean
defaultboolean
sysMesboolean
_updatedAtstring
lmstring
lastMessageobject _idstring
tstring
msgstring
groupableboolean
blocks Array of object object typestring
blockIdstring
callIdstring
appIdstring
tsstring
uobject _idstring
usernamestring
namestring
ridstring
_updatedAtstring
urls Array of object object
mentions Array of object object
channels Array of object object
teamIdstring
teamDefaultboolean
successboolean
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring